#
# spec file for package python-mdurl
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-mdurl
VCS: https://src.suse.de/SLFO-pool/python-mdurl#3a3bea1cf8cf774931249f78d3facdd455add3a14e8048f98bb8ea1782ab3e51
Version:        0.1.2
Release:        160000.1.11
Summary:        Markdown URL utilities
License:        MIT
URL:            https://github.com/executablebooks/mdurl
Source:         https://github.com/executablebooks/mdurl/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
#Source:         https://files.pythonhosted.org/packages/source/m/mdurl/mdurl-%%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module flit}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildArch:      noarch
%python_subpackages

%description
A Python port of the JavaScript mdurl package. Formats and parses URLs in Markdown-Format.

%prep
%setup -q -n mdurl-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%{python_sitelib}/mdurl/
%{python_sitelib}/mdurl-%{version}*-info
%doc README.md
%license LICENSE

%changelog
* Fri May  5 2023 kastl@b1-systems.de
- add sle15_python_module_pythons
* Thu Sep 29 2022 yarunachalam@suse.com
- Update to 0.1.2
  Add a decode test with invalid utf8
  * Bump version: 0.1.1 → 0.1.2
  * Fix decode returning utf-16 code units (#9)
  * [pre-commit.ci] pre-commit autoupdate (#8)
* Tue Apr 26 2022 sebix+novell.com@sebix.at
- initial package for version 0.1.1.
